# Program under CC license
# Last modified: September 16 2019
# Author: Pierre Bouvet (pierre.bouvet@grenoble-inp.org)

import Styles as sty 
import Framing_functions as ff 
import numpy as np

def read_data(file):
    fichier= open(file,'r')
    data=fichier.readlines()
    return data

def compute_basic(data):
    avg=np.average(data)
    dvt=np.std(data)
    return([avg,dvt])

def find_errors(data):
    """
    This function looks at the variations of the function and for each point that seems suspisciously out-of-range, it puts it in a list
    The purpose of this function is then to allow the user to see the points that seem strange, and discard them for further processing of the data
    Entry: 
        data: the raw data
    Returns:
        possible_errors: list of possible errors
    """



def regression(data,k,Window_main):
    """
    This function allows the user to select a degree of polynomial regression (k), and applies the regression to the data.
    It returns the polynom that has been computed by the function
    Entry:
        data: the data
    """
    return 1
